org.wildfly.swarm.config

## Class Undertow.UndertowResources

- java.lang.Object
- - org.wildfly.swarm.config.Undertow.UndertowResources

- Enclosing class:
    Undertow<T extends Undertow<T>>

      public static class Undertow.UndertowResources
      extends Object

  Child mutators for Undertow

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndertowResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationSecurityDomain` | `applicationSecurityDomain(String key)`
    `List<ApplicationSecurityDomain>` | `applicationSecurityDomains()` Get the list of ApplicationSecurityDomain resources
    `BufferCache` | `bufferCache(String key)`
    `List<BufferCache>` | `bufferCaches()` Get the list of BufferCache resources
    `FilterConfiguration` | `filterConfiguration()` Undertow filters
    `HandlerConfiguration` | `handlerConfiguration()` Undertow handlers
    `Server` | `server(String key)`
    `List<Server>` | `servers()` Get the list of Server resources
    `ServletContainer` | `servletContainer(String key)`
    `List<ServletContainer>` | `servletContainers()` Get the list of ServletContainer resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndertowResources

          public UndertowResources()

  - ### Method Detail

    - #### applicationSecurityDomains

          public List<ApplicationSecurityDomain> applicationSecurityDomains()

      Get the list of ApplicationSecurityDomain resources
      Returns:
        the list of resources

    - #### applicationSecurityDomain

          public ApplicationSecurityDomain applicationSecurityDomain(String key)

    - #### servers

          public List<Server> servers()

      Get the list of Server resources
      Returns:
        the list of resources

    - #### server

          public Server server(String key)

    - #### bufferCaches

          public List<BufferCache> bufferCaches()

      Get the list of BufferCache resources
      Returns:
        the list of resources

    - #### bufferCache

          public BufferCache bufferCache(String key)

    - #### servletContainers

          public List<ServletContainer> servletContainers()

      Get the list of ServletContainer resources
      Returns:
        the list of resources

    - #### servletContainer

          public ServletContainer servletContainer(String key)

    - #### handlerConfiguration

          public HandlerConfiguration handlerConfiguration()

      Undertow handlers

    - #### filterConfiguration

          public FilterConfiguration filterConfiguration()

      Undertow filters

Copyright © 2018 JBoss by Red Hat. All rights reserved.